# Intended for OrangePI5 **(might work on other devices)**
- Tested on [ARMBIAN](https://www.armbian.com/orangepi-5/) Bullseye
- Previously on the [orangepi](http://www.orangepi.org/html/hardWare/computerAndMicrocontrollers/service-and-support/Orange-pi-5.html) official Debian versions, but can't **confirm still works**


# Files


```yaml
arm_initial_setup.yaml: standalone playbook to normalize the initialization of an ARMBIAN device

run.sh: placeholder script used for testing

ksetup/:
```

## arm_initial_setup.yaml

It will:

- Set the loacale for ROOT user
- Set the language for ROOT user
- Create `wheel` group
- Add `wheel` group to sudoers (using password)
- Add a new user with its password
- Add the new user to the `wheel` group
- Change ROOT password
- Disable SSH to the ROOT user
- Executes `sleep 1 && dhclient -r && dhclient && reboot`. The `dhclient -r` it's for my own usage so **modify it if it bothers you**.  


## ksetup

### playbook.yaml

Used to "orchestrate" the process and call the rest of the **task** playbooks.


### TASK playbooks

- list (TODO)










# USAGE
## Setup

On my infrastructure, **I** use a DHCP and DNS to connect / communicate the nodes.

You **might** need to edit the file `/etc/hosts` and <u>manually</u> point the resources IP addresses.

So my first step is to reserve the MAC addresses and configure the DHCP server.

Afterwards update the DNS server to point to those IPs.

## Set the SD card / SBC (Single Board Computer)
Beware of using the right IMG / device, as you don't want to <u>delete the wrong drive</u>, **right?**
```shell
dd if=Armbian_23.02.2_Orangepi5_bullseye_legacy_5.10.110_minimal.img of=/dev/sdg  status=progress bs=1M status=progress
```

## arm_initial_setup.yaml


### Change the values of the desired variables

```yaml
# New values
## Users
new_user_name: "orangepi"
new_user_pass: "orangepi"
new_root_pass: "1234"

## Locales
new_locale: "en_US.UTF-8"
new_language: "en_US.UTF-8"
```


### Change the connection variables (Optional)

**Optional**, if you are not planning to use root, the playbook might require some slight changes in order to work with an user that's not root, idk, not my problem, this playbook <u>**assumes**</u> you will be using an ARMBIAN image.

```yaml
ansible_user: "root"
ansible_password: "1234"
```









# License

## DWTFUW
Do whatever the fuck you want license ™
